@echo off
rem *************************************************************** {COPYRIGHT-TOP}
rem * Licensed Materials - Property of IBM
rem * Restricted Materials of IBM
rem * IBM Tivoli Usage and Accounting Manager
rem * 5724-O33, 5765-UAV, 5765-UA7, 44E7863
rem * (c) Copyright IBM Corp. 2004, 2008 All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication or
rem * disclosure restricted by GSA ADP Schedule Contract with
rem * IBM Corp.
rem **************************************************************** {COPYRIGHT-END}

setlocal

rem Check to see if TUAM_HOME is set before using.
if "%TUAM_HOME%" ==""  goto ERROR

rem copy web2 folder to TUAM_HOME\server 
echo Applying fix...
echo .

net stop "World Wide Web Publishing Service"

MOVE "%TUAM_HOME%\server\web2" "%TUAM_HOME%\server\web2.IZ37947"

md "%TUAM_HOME%\server\web2"
XCOPY /YE web2 "%TUAM_HOME%\server\web2"

net start "World Wide Web Publishing Service"

echo Fix has been applied sucessfully.
goto DONE

:ERROR
echo Your environment variable TUAM_HOME is not set.   Set the TUAM_HOME' variable to the install location of TUAM 7.1.1 and then rerun fix.

:DONE
endlocal

